Loading...
Searching...
No Matches
Dune::DebugStreamState Class Reference
Common » Debug output

Intermediate class to implement tie-operation of DebugStream. More...

`#include <dune/common/debugstream.hh>`

Inheritance diagram for Dune::DebugStreamState:

## Public Attributes

StreamWrap * | current
| current output stream and link to possibly pushed old output streams
bool | _active
| flag to switch output during runtime
bool | _tied
| are we tied to another DebugStream?
unsigned int | _tied_streams
| how many streams are tied to this state

## Detailed Description

Intermediate class to implement tie-operation of DebugStream.

The documentation for this class was generated from the following file:

- debugstream.hh